{% extends "skeleton.html.twig" %}

{% block pageTitle %}
Modifier - {{post.title}}
{% endblock pageTitle %}

{% block pageBody %}
<div class="col-md-8">
    <h1 class="my-4">Modifier
        <small>{{post.title}}</small>
    </h1>
    {# Generate automatically blogposts from bdd #}
    <div class="card mb-4">
        <img class="card-img-top" src="{{post.imgUrl}}" alt="Card image cap">
        <div class="card-body">
            {{ form_start(form) }}
            {{ form_row(form.title) }}
            {{ form_row(form.content) }}
            {{ form_row(form.author) }}
            {{ form_row(form.idCategories) }}
            {{ form_row(form.imgUrl) }}
        </div>
        <div class="card-footer text-muted">
            <input type="submit" class="btn btn-warning" value="Edit Post">

            {{ form_end(form) }}
        </div>
    </div>
</div>
{% endblock pageBody %}